@import url(./index.css);

.main {
  padding-inline: 20vw;
  align-items: start;
}

.search-row {
  display: flex;
  justify-content: center;
}
#searchInput {
  width: 300px;
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 2px;
}
#searchButton {
  width: 40px;
  height: 40px;
  padding: 10px 20px;
  margin-left: 10px;
  color: white;
  border: none;
  border-radius: 50%;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
}

#searchButton img {
  width: 20px;
  height: 20px;
}
#searchButton:hover {
  background-color: #0056b3;
}

.filters-row {
  display: flex;
  gap: 20px;
  margin-bottom: 20px;
  max-width: calc(100% - 0.5rem);
  overflow-x: auto;
  scrollbar-width: none;
  -ms-overflow-style: none;
}

.filters-row::-webkit-scrollbar {
  display: none;
}

.filters-row a {
  width: fit-content;
  opacity: 0.8;
}

.filter.active {
  font-weight: 600;
  opacity: 1;
}

.shop-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 20px;
  margin-top: -20px;
}

@media (min-width: 768px) {
  .shop-grid {
    grid-template-columns: repeat(4, 1fr);
  }
}

.shop-item {
  cursor: pointer;
}

.shop-item img {
  width: 100%;
  height: 280px;
  object-fit: cover;
}

.item-info span {
  display: block;
  margin-bottom: 1px;
}

.item-info p {
  margin: 0;
}

@media (max-width: 768px) {
  #mainLogoContainer {
    width: 30%;
    padding-top: 0rem;
    padding-bottom: 1rem;
  }

  .main {
    align-items: start;
  }
}
